Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.saxsource
Class SaxEventBufferImpl

    java.lang.Object
      com.servingxml.components.saxsource.SaxEventBufferImpl

All Implemented Interfaces:
  SaxEventBuffer

    public class SaxEventBufferImpl

extends java.lang.Object
implements SaxEventBuffer

Field Summary

Fields inherited from interface com.servingxml.components.saxsource.SaxEventBuffer
`CHARACTERS, COMMENT, END_DOCUMENT, END_ELEMENT, END_PREFIX_MAPPING, IGNORABLE_WHITESPACE, LOCATOR, PROCESSING_INSTRUCTION, START_DOCUMENT, START_ELEMENT, START_PREFIX_MAPPING`

Constructor Summary
`SaxEventBufferImpl(Name[] names, int[] symbols, char[] values)`

Method Summary
`void` | `closeEvents(org.xml.sax.ContentHandler handler)`
`org.xml.sax.XMLReader` | `createXmlReader()`
`void` | `replayEvents(org.xml.sax.ContentHandler handler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaxEventBufferImpl

    public SaxEventBufferImpl(Name[] names,
                              int[] symbols,
                              char[] values)

Method Detail

### createXmlReader

    public org.xml.sax.XMLReader createXmlReader()

  Specified by:
    `createXmlReader` in interface `SaxEventBuffer`

### replayEvents

    public void replayEvents(org.xml.sax.ContentHandler handler)
                      throws org.xml.sax.SAXException

  Specified by:
    `replayEvents` in interface `SaxEventBuffer`
  Throws:
    `org.xml.sax.SAXException`

### closeEvents

    public void closeEvents(org.xml.sax.ContentHandler handler)
                     throws org.xml.sax.SAXException

  Specified by:
    `closeEvents` in interface `SaxEventBuffer`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD